# -*- coding: UTF-8 -*-

import config

def get(lang=config.lang):
	if(not lang.__class__ in [str, unicode]):
		lang = config.lang
	try:
		return strings.__dict__[lang]
	except KeyError:
		return strings.__dict__[config.lang]


# If you change or add any strings in this file please contact the translators listed below
# Everything must be in UTF-8
# Look for language codes here - http://www.w3.org/WAI/ER/IG/ert/iso639.htm

class strings:
	class en: # English - James Bunton <james@delx.cjb.net>
		# Text that may get sent to the user. Useful for translations. Keep any %s symbols you see or you will have troubles later
		sessionGreeting = "This is an experimental gateway, PyMSN-t. If you experience problems please contact James <james@delx.cjb.net>"
		registerText = "Please type your MSN Passport (user@hotmail.com) into the username field, your password and desired base nickname.\nFor more information see http://msn-transport.jabberstudio.org/users"
		notLoggedIn = "Error. You must log into the transport before sending messages."
		notRegistered = "Sorry. You do not appear to be registered with this transport. Please register and try again. If you are having trouble registering please contact your Jabber administrator."
		waitForLogin = "Sorry, this message cannot be delivered yet. Please try again when the transport has finished logging in."
		groupchatInvite = "You have been invited into a groupchat on the legacy service. You must join this room to switch into groupchat mode %s.\nIf you do not join this room you will not be able to participate in the groupchat, but you will still appear to have joined it to contacts on the MSN service."
		groupchatFailJoin1 = "You did not join the groupchat room %s.\nThe following users were in the groupchat:"
		groupchatFailJoin2 = "You have been removed from this room on the legacy service. The following was said before you were disconnected, while you appeared to be in the groupchat to the contacts on the legacy service."
		groupchatPrivateError = "Sorry. You cannot send private messages to users in this groupchat. Please instead add the user to your contact list and message them that way."
		msnMaintenance = "Notification from Microsoft. The MSN Messenger network will be going down for maintenance."
		msnMultipleLogin = "Your MSN account has been logged in elsewhere. Please logout at the other location and then reactivate the MSN transport."
		msnNotVerified = "Your MSN passport %s, has not had it's email address verified. MSN users will not be able to see your nickname, and will be warned that your account may not be legitimate. Please see Microsoft for details."
		msnLoginFailure = "MSN transport could not log into your MSN account %s. Please check that your password is correct. You may need to re-register the transport."
		msnFailedMessage = "This message could not be delivered. Please check that the contact is online, and that their address on your contact list is correct.\nMessage was:\n\n"
		msnInitialMail = "Hotmail notification\n\nUnread message in inbox: %s\nUnread messages in folders: %s"
		msnRealtimeMail = "Hotmail notification\n\nFrom: %s <%s>\n Subject: %s"
		msnDisconnected = "Disconnection from MSN servers: %s"
	
	class nl: # Dutch - Matthias Therry <matthias.therry@pi.be>
		sessionGreeting = "Dit is het experimentele transport, PyMSN-t. In geval van problemen, contacteer dan James <james@delx.cjb.net>"
		registerText = "Voer je MSN Passport (gebruiker@hotmail.com) en je wachtwoord in. Geef ook het vaste deel van je bijnaam op.\nVoor meer info zie http://msn-transport.jabberstudio.org/users.html"
		notLoggedIn = "Fout: Je moet eerst aanmelden op het transport alvorens berichten te versturen."
		notRegistered = "Sorry, je bent niet geregistreerd op dit transport. Registreer je eerst en probeer dan opnieuw. Contacteer de beheerder van je Jabberserver bij registratieproblemen."
		waitForLogin = "Sorry, dit bericht kon nog niet worden afgeleverd. Probeer opnieuw wanneer het transport klaar is met aanmelden."
		groupchatInvite = "Je bent uitgenodigd voor een groepsgesprek op het MSN-netwerk. Neem deel door om te schakelen naar groepsgesprekmodus %s.\nAls je dit niet doet zal je niet kunnen deelnemen aan het gesprek, hoewel het voor de MSN-gebruikers lijkt alsof je toch aanwezig bent."
		groupchatFailJoin1 = "Je hebt niet deelgenomen aan het groepsgesprek %s.\nVolgende gebruikers zaten in het gesprek:"
		groupchatFailJoin2 = "Je bent verwijderd uit het groepsgesprek op het MSN-netwerk. Het volgende werd gezegd voor de verbinding werd verbroken, terwijl je voor de andere deelnemers van het groepsgesprek aanwezig leek."
		groupchatPrivateError = "Sorry, je kan geen priv-berichten sturen naar gebruikers in dit groepsgesprek. Voeg ze toe aan uw contactlijst om hen priv te kunnen te spreken."
		msnMaintenance = "Bericht van Microsoft: het MSN-netwerk zal tijdelijk niet bereikbaar zijn door onderhoudswerken."
		msnMultipleLogin = "Je bent reeds elders aangemeld op deze MSN-account. Meld je daar eerst af en heractiveer vervolgens het MSN-transport."
		msnNotVerified = "Het mailadres van je MSN Passport %s werd nog niet geverifieerd. Daardoor zien MSN-gebruikers je nickname niet en zullen ze gewaarschuwd worden dat je account mogelijk niet legitiem is. Wend je tot Microsoft voor meer details."
		msnLoginFailure = "MSN transport kon je niet aanmelden op MSN-account %s. Controleer je wachtwoord. Mogelijk moet je je opnieuw registreren bij het transport."
		msnFailedMessage = "Het bericht kon niet worden afgeleverd. Controleer of de contactpersoon online is en zijn adres op de contactlijst correct is.\nBericht was:\n\n"
		msnInitialMail = "Hotmail-meldingen\n\nAantal ongelezen berichten in postvak in: %s\nAantal ongelezen berichten in mappen: %s"
		msnRealtimeMail = "Hotmail-meldingen\n\nVan: %s <%s>\n Onderwerp: %s"
		msnDisconnected = "Bezig met verbreken van verbinding met MSN-servers: %s"
	dut = nl
	nla = nl
	


